### Name: tidem
### Title: Fit a tidal model to a timeseries
### Aliases: tidem
### Keywords: misc

### ** Examples

library(oce)
# Fake a M2 tide with phase 45 degrees
hour <- seq(0, 24 * 100)
eta <- 1 + 2 * sin(0.08051140 * 2 * pi * hour + pi/4)
sealevel <- as.sealevel(eta)
tide <- tidem(sealevel)
summary(tide)
plot(tide)

# The demonstration time series from Foreman (1977),
# also used in this-is-escaped-codenormal-bracket112bracket-normal (Pawlowicz, 2002).
data(sealevel.tuk)
tide.tuk <- tidem(sealevel.tuk)
summary(tide.tuk)



